import { Injector, ModuleWithProviders, Type } from '@angular/core';
import { XHRBackend } from '@angular/http';
import { AngularApiHandlerConfig } from './angular-api-handler.config';
import { AngularApiHandlerService } from './angular-api-handler.service';
export declare function angularApiHandlerBackendServiceFactory(injector: Injector, service: AngularApiHandlerService, config: AngularApiHandlerConfig): XHRBackend;
export declare class AngularApiHandlerModule {
    /**
     *  Configure Module
     *
     * @returns {{ngModule: AngularApiHandlerModule, providers: Array}}
     */
    static forRoot(service: Type<AngularApiHandlerService>, config?: AngularApiHandlerConfig): ModuleWithProviders;
}
